import { Interceptor } from '@zeedhi/core';

Interceptor.addRequestSuccess((config) => {
	console.log(currentPage());
	const token = localStorage.getItem('LOGIN_TOKEN');
	if (token && currentPage() !== 'autenticacao') {
		config.headers['OAuth-Token'] = token;
	}
	return config;
});

function currentPage() {
	const { searchParams } = new URL(window.location.href);
	return searchParams.get('page') || '';
}
